Page MenuHomePhabricator

Upgrade WebdriverIO to 4.12.0
Closed, ResolvedPublic

Description

While working on T161697 I have noticed that we did not upgrade WebdriverIO in a long time. We are currently using version 4.6.2. Our tests work fine up until version 4.7.1. Since version 4.8.0 our tests break because wdio tries to open http://127.0.0.1:8080/index.php... instead of http://127.0.0.1:8080/w/index.php... (please notice missing /w).

/w is configured in wdio.conf.js

Commits v4.7.1...v4.8.0

Maybe this has caused the problem: make url act like url.resolve - closes #1946

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald Transcript

An easy workaround is to change in page.js

browser.url( '/index.php?title=' + path );

to

browser.url( 'w/index.php?title=' + path );
zeljkofilipin triaged this task as Low priority.Nov 9 2017, 4:17 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin added a comment.EditedNov 30 2017, 3:56 PM
git clone https://github.com/webdriverio/webdriverio.git
cd webdriverio
git bisect start
git bisect bad 63908ce0
git bisect good a611b804
git bisect run bash -c 'npm run build && ./bin/wdio ~/Documents/gerrit/mediawiki/vagrant/mediawiki/tests/selenium/wdio.conf.js --spec ~/Documents/gerrit/mediawiki/vagrant/mediawiki/tests/selenium/specs/page.js --mochaOpts.grep creatable'
877e276fe4b5f03600a1d1d2fbeb3563398753c2 is the first bad commit
commit 877e276fe4b5f03600a1d1d2fbeb3563398753c2
Author: christian-bromann <mail@christian-bromann.com>
Date:   Sun Apr 30 14:50:52 2017 +0200

    make url act like url.resolve - closes #1946

:040000 040000 422c9f97dfed82fa28a9e44f81ac0d938003a0db 71dd744fb8f7426726233107a0e02e63d0519bbe M	lib
:040000 040000 bdd238e0c14b6c465f2811ea82010ef07076768f 59476f80ecba8cafae294bd7441b13a54f615683 M	test
bisect run success

Change 395490 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] WIP Upgrade WebdriverIO to 4.9

https://gerrit.wikimedia.org/r/395490

zeljkofilipin removed zeljkofilipin as the assignee of this task.Dec 8 2017, 2:12 PM
zeljkofilipin raised the priority of this task from Low to High.Feb 28 2018, 4:53 PM
zeljkofilipin renamed this task from Upgrade WebdriverIO to 4.9 to Upgrade WebdriverIO to 4.12.0.

Change 395490 abandoned by Zfilipin:
WIP Upgrade WebdriverIO to 4.9

https://gerrit.wikimedia.org/r/395490

Change 419179 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] WIP Upgrade WebdriverIO to 4.12.0

https://gerrit.wikimedia.org/r/419179

Change 419179 merged by jenkins-bot:
[mediawiki/core@master] Selenium: Upgrade WebdriverIO to 4.12.0

https://gerrit.wikimedia.org/r/419179

zeljkofilipin closed this task as Resolved.Mar 21 2018, 3:32 PM